Subject: RE: [External] : bug#73257: 31.0.50; Deleting obsolete libraries in Emacs 31

From: Drew Adams <[email-masked]>
Date: Sun, 15 Sep 2024 15:01:06 +0000

> >     24.1 lisp/obsolete/pgg-def.el
> >     24.1 lisp/obsolete/pgg-gpg.el
> >     24.1 lisp/obsolete/pgg-parse.el
> >     24.1 lisp/obsolete/pgg-pgp.el
> >     24.1 lisp/obsolete/pgg-pgp5.el
> >     24.1 lisp/obsolete/pgg.el
> >     24.3 lisp/obsolete/bruce.el
> >     24.4 lisp/obsolete/info-edit.el
> >     24.4 lisp/obsolete/iswitchb.el
> >     24.4 lisp/obsolete/longlines.el
> >     24.4 lisp/obsolete/meese.el
> >     24.4 lisp/obsolete/otodo-mode.el
> >     24.4 lisp/obsolete/rcompile.el
> >     24.4 lisp/obsolete/sup-mouse.el
> >     24.4 lisp/obsolete/terminal.el
> >     24.4 lisp/obsolete/yow.el
> >     24.5 lisp/obsolete/cc-compat.el
> >     24.5 lisp/obsolete/crisp.el
> >     24.5 lisp/obsolete/tpu-edt.el
> >     24.5 lisp/obsolete/tpu-extras.el
> >     24.5 lisp/obsolete/tpu-mapper.el
> >     24.5 lisp/obsolete/vi.el
> >     24.5 lisp/obsolete/vip.el
> >     24.5 lisp/obsolete/ws-mode.el
> >
> > 1. We cannot yet remove iswitchb.el, as isearchb.el depends on it (see
> >    Bug#36260).
> >
> > 2. We also cannot remove longlines.el, as so-long.el depends on it,
> and
> >    even recommends it in certain cases.
> >
> > 3. ISTR that Eli objected to removing bruce.el in Emacs 30, so I'm
> >    assuming this objection this still stands.
> >
> > Are there any other blockers or considerations?
> 
> I'd leave the TPU and Crisp/Brief emulations alone.

FWIW, I uploaded info-edit.el and iswitchb.el to
Emacs Wiki.  There are wiki pages that refer to
them and code on the wiki that uses them.

Dunno whether other 31-removed libraries should
similarly be archived/uploaded.  I'm not familiar
with them.